Bug 1365655 - python-related macros
Summary: python-related macros
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: epel-rpm-macros
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 18:41 UTC by Thomas Moschny
Modified: 2016-09-10 09:47 UTC (History)
3 users (show)

Fixed In Version: epel-rpm-macros-5-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-10 09:47:06 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Thomas Moschny 2016-08-09 18:41:44 UTC
As discussed on IRC, would it be possible to add some python-related macros?

%{__python2}:
-> /usr/bin/python2

%{python2_sitelib}:
-> %{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
-> /usr/lib/python2.4/site-packages

%{python2_sitearch}:
-> %{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")
-> /usr/lib64/python2.4/site-packages

Not sure if some more macros would be useful, like py2_build and py2_install.

Comment 1 Jason Tibbitts 2016-08-09 18:45:58 UTC
I will bring the EPEL6 python macros back to EPEL5 and see how that goes.  Hopefully you're willing to do a bit of testing.

Comment 2 Fedora Update System 2016-08-09 19:08:36 UTC
epel-rpm-macros-5-4 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a2125d15ed

Comment 3 Fedora Update System 2016-08-10 12:46:39 UTC
epel-rpm-macros-5-4 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a2125d15ed

Comment 4 Fedora Update System 2016-08-10 20:19:43 UTC
epel-rpm-macros-5-5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a2125d15ed

Comment 5 Fedora Update System 2016-08-12 03:18:40 UTC
epel-rpm-macros-5-5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a2125d15ed

Comment 6 Fedora Update System 2016-09-10 09:47:03 UTC
epel-rpm-macros-5-5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.